Loading...
Searching...
No Matches
ISMRMRD::IStreamView Class Reference
Inheritance diagram for ISMRMRD::IStreamView:

## Public Member Functions

| IStreamView (std::istream &is)
virtual void | read (char *buffer, size_t count)
virtual bool | eof ()

## Protected Attributes

std::istream & | _is

## Member Function Documentation

## eof()

virtual bool ISMRMRD::IStreamView::eof | ( |  | ) |

inline virtual

Implements ISMRMRD::ReadableStreamView.

## read()

virtual void ISMRMRD::IStreamView::read | ( | char * | buffer,
|  | size_t | count )

inline virtual

Implements ISMRMRD::ReadableStreamView.

The documentation for this class was generated from the following file:

- serialization_iostream.h